OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.FramebufferMultisampleCoverage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFramebufferMultisampleCoverage :: MonadIO m => m Bool
- gl_NV_framebuffer_multisample_coverage :: Bool
- gl_MAX_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum
- gl_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum
- gl_RENDERBUFFER_COLOR_SAMPLES_NV :: GLenum
- gl_RENDERBUFFER_COVERAGE_SAMPLES_NV :: GLenum
- glRenderbufferStorageMultisampleCoverageNV :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetNVFramebufferMultisampleCoverage :: MonadIO m => m Bool

Is the NV_framebuffer_multisample_coverage extension supported?

gl_NV_framebuffer_multisample_coverage :: Bool

Is the NV_framebuffer_multisample_coverage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFramebufferMultisampleCoverage` in those cases instead.

# Enums

gl_MAX_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum

gl_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum

gl_RENDERBUFFER_COLOR_SAMPLES_NV :: GLenum

gl_RENDERBUFFER_COVERAGE_SAMPLES_NV :: GLenum

# Functions

glRenderbufferStorageMultisampleCoverageNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |